Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class CancelResponse

    java.lang.Object
      |
      +--org.openspml.message.SpmlResponse
            |
            +--org.openspml.message.CancelResponse

public class CancelResponse
extends SpmlResponse

A class representing a `cancelResponse` message.

Field Summary
`static java.lang.String` | `RESULT_CANCELED`
`static java.lang.String` | `RESULT_COULD_NOT_CANCEL`
`static java.lang.String` | `RESULT_NO_SUCH_REQUEST`

Fields inherited from class org.openspml.message.SpmlResponse
`ERROR_CUSTOM_ERROR, ERROR_MALFORMED_REQUEST, ERROR_NO_SUCH_IDENTIFIER, ERROR_NO_SUCH_REQUEST, ERROR_UNSUPPORTED_IDENTIFIER_TYPE, ERROR_UNSUPPORTED_OPERATION, RESULT_FAILURE, RESULT_PENDING, RESULT_SUCCESS`

Constructor Summary
`CancelResponse()`

Method Summary
`java.lang.String` | `getCancelResult()`
`void` | `setCancelResult(java.lang.String s)`

Methods inherited from class org.openspml.message.SpmlResponse
`addExtendedErrorMessage, createResponseForRequest, createResponseForRequest, dumpFile, getError, getErrorMessage, getExtendedErrorMessages, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, getResult, isFailure, parseResponse, parseResponse, parseResponse, removeOperationalAttribute, setError, setErrorMessage, setErrorMessage, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setOperationalAttributes, setRequestId, setResult, throwErrors, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_NO_SUCH_REQUEST

    public static final java.lang.String RESULT_NO_SUCH_REQUEST

### RESULT_CANCELED

    public static final java.lang.String RESULT_CANCELED

### RESULT_COULD_NOT_CANCEL

    public static final java.lang.String RESULT_COULD_NOT_CANCEL

Constructor Detail

### CancelResponse

    public CancelResponse()

Method Detail

### setCancelResult

    public void setCancelResult(java.lang.String s)

### getCancelResult

    public java.lang.String getCancelResult()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD